# example_secure_comms_router_afzdo.c File Reference

Resets Radio, configures this device to be a Zigbee Router, joins a network, then sends a message to the coordinator once per second. Uses the AF/ZDO interface. More...

`#include "../HAL/hal.h"`
`#include "../ZNP/znp_interface.h"`
`#include "../ZNP/application_configuration.h"`
`#include "../ZNP/af_zdo.h"`
`#include "znp_example_utils.h"`

## Defines
#define | TEST_CLUSTER 0x77
#define | USE_SECURITY_MODE_PRECONFIGURED_KEYS
unsigned char | key [16] = {0x44, 0x65, 0x72, 0x65, 0x6B, 0x53, 0x6D, 0x69, 0x74, 0x68, 0x44, 0x65, 0x73, 0x69, 0x67, 0x6E}
int | main (void)

## Detailed Description

Resets Radio, configures this device to be a Zigbee Router, joins a network, then sends a message to the coordinator once per second. Uses the AF/ZDO interface.

This matches example_secure_communications_COORDINATOR.c Get the coordinator running first, or else the router won't have anything to join to. Basic Router Startup with security:

- Reset Radio
- Set Startup Options = CLEAR_STATE and CLEAR_CONFIG - This will restore the ZNP to "factory" configuration
- Reset Radio
- Set Zigbee DeviceType to ROUTER
- Set security on, set preconfigured keys on/off, and set key (if using pre-configured keys)
- If you want to set a custom PANID or channel list, do that here and then reset the radio
- Register Application (Configure the ZNP for our application)
- Start Application
- Wait for the Start Confirm

See also:
  http://processors.wiki.ti.com/index.php/Tutorial_on_the_Examples and http://e2e.ti.com/support/low_power_rf/default.aspx

Rev
  624

Author
  dsmith

Date
  2010-07-02 10:58:43 -0700 (Fri, 02 Jul 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

int main | ( | void |  | ) |

Wait until we get on the network. We will receive a ZDO_STATE_CHANGE_IND message whenever the state changes.

All Data Structures Files Functions Variables Defines